- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreHardwarePixelBuffer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreSharedPtr.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreImage.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::HardwarePixelBuffer
| Specialisation of HardwareBuffer for a pixel buffer. More...
class | Ogre::HardwarePixelBufferSharedPtr
| Shared pointer implementation used to share pixel buffers. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008